Veeam Managed Backup
All operations require authentication.
List backup repositoriesProduction
Path parameters
Domain of the service
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dedicatedCloud/ {serviceName}/ backupRepository \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get a backup repositoryProduction
Get a backup repository. Returns the backup repository: name, replication zone, replication status and last successful replication date.
Path parameters
Repository Id
Domain of the service
Response
Replication last successful date
Replication status
disableddisablingenabledenablingerrormigratingunknownReplication zone
Repository Id
Repository Name
Replication sync status
okout-of-syncsync-requiredunknownExample uses repositoryId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dedicatedCloud/ {serviceName}/ backupRepository/ {repositoryId} \
-H "authorization: Bearer $OVH_TOKEN"{ "lastSuccessfulReplicationDate": "2024-01-01T12:00:00Z", "replication": "disabled", "replicationZone": "string", "repositoryId": 0, "repositoryName": "string", "syncStatus": "ok"}
Get the backup optionProduction
Get the backup option. Returns the backup option of the datacenter: offer, state, schedule hour, encryption and report settings.
Path parameters
Id of the Datacenter
Domain of the service
Response
Duration on email report
Backup offer type
advancedbackupclassiclegacypremiumBackup size on day on email report
Disk size on mail report
Backup is encrypted
Full day on mail report
Name of the backup server virtual machine.
Unique additional email address for backup daily report
Backup replication zone
RestorePoint number on mail report
Schedule hour for start backup
This Backup current state
disableddisablingenabledenablingerrormigratingremovingThe moref of the backup server virtual machine
Example uses datacenterId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dedicatedCloud/ {serviceName}/ datacenter/ {datacenterId}/ backup \
-H "authorization: Bearer $OVH_TOKEN"{ "backupDurationInReport": true, "backupOffer": "advanced", "backupSizeInReport": true, "diskSizeInReport": true, "encryption": true, "fullDayInReport": true, "hostname": "string", "mailAddress": "string", "replicationZone": "string", "restorePointInReport": true, "scheduleHour": "15:04:05", "state": "disabled", "vmwareVmId": "string"}
Restore the last backupsProduction
Restore the last backups. Restores each backup job, or a single virtual machine, from its last restore point. Find the repository and job names in the report sent by generateReport. Returns a task to track progress.
Path parameters
Id of the Datacenter
Domain of the service
Request body (required)
The backup job name pcc-XXX-XXX-XXX-XXX_vm-XXX if you want to restore one single virtual machine. It can be retrieved in the report sent by generateReport
The backup files location name bkp-XXXXX, it can be retrieved in the report sent by generateReport
Response
Creator of the task
Origin of the task
datacenterId of the associated dedicatedCloud.Datacenter object
Current progress description
Task end date
Task execution date
filerId of the associated dedicatedCloud.Filer object
hostId of the associated dedicatedCloud.Host object
Task last modification date
Maintenance task min allowed execution date
Maintenance task max allowed execution date
Task name
network of the associated dedicatedCloud.Ip object
networkAccessId of the associated dedicatedCloud.AllowedNetwork object
orderId of the associated billing.Order object
taskId of the parent dedicatedCloud.Task object
Current progress
Current Task state
canceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodoTask id
Task type
userId of the associated dedicatedCloud.User object
vlanId of the parent dedicatedCloud.Vlan object
Example uses datacenterId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dedicatedCloud/ {serviceName}/ datacenter/ {datacenterId}/ backup/ batchRestore \
-H "authorization: Bearer $OVH_TOKEN"{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}
Get backup proxy recommendationsProduction
Get backup proxy recommendations. Returns a recommendation to add or remove backup proxies, with the number of proxies deployed and impacted.
Path parameters
Id of the Datacenter
Domain of the service
Response
Brief information about recommendation
hasMoreBackupJobshasMoreProxieshasSufficientProxiesnoBackupJobsNumber of proxies deployed in the Datacenter
Number of proxies get impacted by recommendation
Action recommended for the optimization
addoptimizedremoveExample uses datacenterId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dedicatedCloud/ {serviceName}/ datacenter/ {datacenterId}/ backup/ canOptimizeProxies \
-H "authorization: Bearer $OVH_TOKEN"{ "message": "hasMoreBackupJobs", "numberOfProxiesDeployed": 0, "numberOfProxiesImpact": 0, "recommendation": "add"}
Update the backup optionProduction
Update the backup option. Changes the backup offer, the schedule hour (UTC) and the additional email address for the daily report. Returns a task to track progress.
Path parameters
Id of the Datacenter
Domain of the service
Request body (required)
Deprecated - Duration on email report
Backup offer type
advancedbackupclassiclegacypremiumDeprecated - Backup size on day on email report
Deprecated - Disk size on mail report
Deprecated - Full day on mail report
Unique additional email address for backup daily report
Deprecated - RestorePoint number on mail report
Schedule hour for start backup. UTC Timezone
Response
Creator of the task
Origin of the task
datacenterId of the associated dedicatedCloud.Datacenter object
Current progress description
Task end date
Task execution date
filerId of the associated dedicatedCloud.Filer object
hostId of the associated dedicatedCloud.Host object
Task last modification date
Maintenance task min allowed execution date
Maintenance task max allowed execution date
Task name
network of the associated dedicatedCloud.Ip object
networkAccessId of the associated dedicatedCloud.AllowedNetwork object
orderId of the associated billing.Order object
taskId of the parent dedicatedCloud.Task object
Current progress
Current Task state
canceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodoTask id
Task type
userId of the associated dedicatedCloud.User object
vlanId of the parent dedicatedCloud.Vlan object
Example uses datacenterId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dedicatedCloud/ {serviceName}/ datacenter/ {datacenterId}/ backup/ changeProperties \
-H "authorization: Bearer $OVH_TOKEN"{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}
Disable the backup optionProduction
Disable the backup option. Disables the backup option of the datacenter. Returns a task to track progress.
Path parameters
Id of the Datacenter
Domain of the service
Response
Creator of the task
Origin of the task
datacenterId of the associated dedicatedCloud.Datacenter object
Current progress description
Task end date
Task execution date
filerId of the associated dedicatedCloud.Filer object
hostId of the associated dedicatedCloud.Host object
Task last modification date
Maintenance task min allowed execution date
Maintenance task max allowed execution date
Task name
network of the associated dedicatedCloud.Ip object
networkAccessId of the associated dedicatedCloud.AllowedNetwork object
orderId of the associated billing.Order object
taskId of the parent dedicatedCloud.Task object
Current progress
Current Task state
canceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodoTask id
Task type
userId of the associated dedicatedCloud.User object
vlanId of the parent dedicatedCloud.Vlan object
Example uses datacenterId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dedicatedCloud/ {serviceName}/ datacenter/ {datacenterId}/ backup/ disable \
-H "authorization: Bearer $OVH_TOKEN"{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}
Enable the backup optionDeprecated
Deprecated since May 31, 2019, will be removed on Jun 30, 2019 — use /order/cart/{cartId}/privateCloud instead.
Enable the backup option. Enables the backup option with the given offer. Deprecated: order the option with /order/cart/{cartId}/privateCloud instead.
Path parameters
Id of the Datacenter
Domain of the service
Request body (required)
Backup offer type
advancedbackupclassiclegacypremiumResponse
Creator of the task
Origin of the task
datacenterId of the associated dedicatedCloud.Datacenter object
Current progress description
Task end date
Task execution date
filerId of the associated dedicatedCloud.Filer object
hostId of the associated dedicatedCloud.Host object
Task last modification date
Maintenance task min allowed execution date
Maintenance task max allowed execution date
Task name
network of the associated dedicatedCloud.Ip object
networkAccessId of the associated dedicatedCloud.AllowedNetwork object
orderId of the associated billing.Order object
taskId of the parent dedicatedCloud.Task object
Current progress
Current Task state
canceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodoTask id
Task type
userId of the associated dedicatedCloud.User object
vlanId of the parent dedicatedCloud.Vlan object
Example uses datacenterId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dedicatedCloud/ {serviceName}/ datacenter/ {datacenterId}/ backup/ enable \
-H "authorization: Bearer $OVH_TOKEN"{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}
Send a backup reportProduction
Send a backup report. Sends a report with all backup information by email. Returns a task to track progress.
Path parameters
Id of the Datacenter
Domain of the service
Response
Creator of the task
Origin of the task
datacenterId of the associated dedicatedCloud.Datacenter object
Current progress description
Task end date
Task execution date
filerId of the associated dedicatedCloud.Filer object
hostId of the associated dedicatedCloud.Host object
Task last modification date
Maintenance task min allowed execution date
Maintenance task max allowed execution date
Task name
network of the associated dedicatedCloud.Ip object
networkAccessId of the associated dedicatedCloud.AllowedNetwork object
orderId of the associated billing.Order object
taskId of the parent dedicatedCloud.Task object
Current progress
Current Task state
canceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodoTask id
Task type
userId of the associated dedicatedCloud.User object
vlanId of the parent dedicatedCloud.Vlan object
Example uses datacenterId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dedicatedCloud/ {serviceName}/ datacenter/ {datacenterId}/ backup/ generateReport \
-H "authorization: Bearer $OVH_TOKEN"{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}
List backup offersProduction
List backup offers. Returns the features of each backup offer: retention, encryption, replication, backup days and report options.
Path parameters
Id of the Datacenter
Domain of the service
Response
Customized backup days
Customized Backup report
Indicates additional backup proxy for large disk size VM
Indicates if backup will be encrypted
Indicates if customer can add an additional email address for backup report
Minimum number of full backups
Name of offer type
Backup Proxy per host
Backup Replication enabled
Restore points
Scheduled hour of backup start customizable
Example uses datacenterId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dedicatedCloud/ {serviceName}/ datacenter/ {datacenterId}/ backup/ offerCapabilities \
-H "authorization: Bearer $OVH_TOKEN"[ { "backupDays": true, "customReport": true, "dedicatedProxy": true, "encryption": true, "mailAddress": true, "minimumFullBackups": 0, "offerName": "string", "proxyPerHost": true, "replication": true, "retention": 0, "scheduleHour": true }]
Optimize backup proxiesProduction
Optimize backup proxies. Optimizes the number of backup proxies of the datacenter. Returns a task to track progress.
Path parameters
Id of the Datacenter
Domain of the service
Response
Creator of the task
Origin of the task
datacenterId of the associated dedicatedCloud.Datacenter object
Current progress description
Task end date
Task execution date
filerId of the associated dedicatedCloud.Filer object
hostId of the associated dedicatedCloud.Host object
Task last modification date
Maintenance task min allowed execution date
Maintenance task max allowed execution date
Task name
network of the associated dedicatedCloud.Ip object
networkAccessId of the associated dedicatedCloud.AllowedNetwork object
orderId of the associated billing.Order object
taskId of the parent dedicatedCloud.Task object
Current progress
Current Task state
canceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodoTask id
Task type
userId of the associated dedicatedCloud.User object
vlanId of the parent dedicatedCloud.Vlan object
Example uses datacenterId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dedicatedCloud/ {serviceName}/ datacenter/ {datacenterId}/ backup/ optimizeProxies \
-H "authorization: Bearer $OVH_TOKEN"{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}
List datacenter backup repositoriesDeprecated
Deprecated since Sep 30, 2022, will be removed on Jun 30, 2023 — use /dedicatedCloud/{serviceName}/backupRepository instead.
List datacenter backup repositories. Returns the IDs of the backup repositories of the datacenter. Deprecated: use /dedicatedCloud/{serviceName}/backupRepository instead.
Path parameters
Id of the Datacenter
Domain of the service
Response
Example uses datacenterId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dedicatedCloud/ {serviceName}/ datacenter/ {datacenterId}/ backupRepository \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get a backup repositoryDeprecated
Deprecated since Sep 30, 2022, will be removed on Jun 30, 2023 — use /dedicatedCloud/{serviceName}/backupRepository/{repositoryId} instead.
Get a backup repository. Returns the backup repository: name, replication zone, replication status and last successful replication date.
Path parameters
Id of the Datacenter
Repository Id
Domain of the service
Response
Replication last successful date
Replication status
disableddisablingenabledenablingerrormigratingunknownReplication zone
Repository Id
Repository Name
Replication sync status
okout-of-syncsync-requiredunknownExample uses datacenterId = 0, repositoryId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dedicatedCloud/ {serviceName}/ datacenter/ {datacenterId}/ backupRepository/ {repositoryId} \
-H "authorization: Bearer $OVH_TOKEN"{ "lastSuccessfulReplicationDate": "2024-01-01T12:00:00Z", "replication": "disabled", "replicationZone": "string", "repositoryId": 0, "repositoryName": "string", "syncStatus": "ok"}
Check backup jobsProduction
Check backup jobs. Checks that the backup jobs of the datacenter are set correctly after virtual machines moved to another datacenter. Returns a task to track progress.
Path parameters
Id of the Datacenter
Domain of the service
Response
Creator of the task
Origin of the task
datacenterId of the associated dedicatedCloud.Datacenter object
Current progress description
Task end date
Task execution date
filerId of the associated dedicatedCloud.Filer object
hostId of the associated dedicatedCloud.Host object
Task last modification date
Maintenance task min allowed execution date
Maintenance task max allowed execution date
Task name
network of the associated dedicatedCloud.Ip object
networkAccessId of the associated dedicatedCloud.AllowedNetwork object
orderId of the associated billing.Order object
taskId of the parent dedicatedCloud.Task object
Current progress
Current Task state
canceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodoTask id
Task type
userId of the associated dedicatedCloud.User object
vlanId of the parent dedicatedCloud.Vlan object
Example uses datacenterId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dedicatedCloud/ {serviceName}/ datacenter/ {datacenterId}/ checkBackupJobs \
-H "authorization: Bearer $OVH_TOKEN"{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}
Get a VM backup jobDeprecated
Deprecated since Oct 2, 2017, will be removed on Dec 31, 2017 — use /dedicatedCloud/{serviceName}/datacenter/{datacenterId}/vm/{vmId} instead.
Get a VM backup job. Returns the backup job of the virtual machine: offer, backup days, retention and state. Deprecated: use the backup data of the virtual machine instead.
Path parameters
Id of the Datacenter
Domain of the service
Id of the virtual machine.
Response
Disk space allocated to the virtual machine
List of days your Virtual Machine will be backuped
FridayMondaySaturdaySundayThursdayTuesdayWednesdayBackup is encrypted
Offer type of the backup job
advancedbackupclassiclegacypremiumNumber of days before the backup is deleted
State of the backup job
deletingdelivereddisableddisablingenablingerrormigratingpendingremovedstoppingtoCreatetoDeletetoDisabletoEnabletoStopunknownName of the virtual Machine
Example uses datacenterId = 0, serviceName = string, vmId = 0
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dedicatedCloud/ {serviceName}/ datacenter/ {datacenterId}/ vm/ {vmId}/ backupJob \
-H "authorization: Bearer $OVH_TOKEN"{ "allocatedDisk": 0, "backupDays": [ "Friday" ], "encryption": true, "offerType": "advanced", "retentionTime": 0, "state": "deleting", "vmName": "string"}
Update a VM backup jobDeprecated
Deprecated since Oct 2, 2017, will be removed on Dec 31, 2017 — use /dedicatedCloud/{serviceName}/datacenter/{datacenterId}/vm/{vmId} instead.
Update a VM backup job. Changes the backup days of the virtual machine. Deprecated: use the backup routes of the virtual machine instead.
Path parameters
Id of the Datacenter
Domain of the service
Id of the virtual machine.
Request body (required)
List of days your Virtual Machine will be backuped
FridayMondaySaturdaySundayThursdayTuesdayWednesdayResponse
Creator of the task
Origin of the task
datacenterId of the associated dedicatedCloud.Datacenter object
Current progress description
Task end date
Task execution date
filerId of the associated dedicatedCloud.Filer object
hostId of the associated dedicatedCloud.Host object
Task last modification date
Maintenance task min allowed execution date
Maintenance task max allowed execution date
Task name
network of the associated dedicatedCloud.Ip object
networkAccessId of the associated dedicatedCloud.AllowedNetwork object
orderId of the associated billing.Order object
taskId of the parent dedicatedCloud.Task object
Current progress
Current Task state
canceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodoTask id
Task type
userId of the associated dedicatedCloud.User object
vlanId of the parent dedicatedCloud.Vlan object
Example uses datacenterId = 0, serviceName = string, vmId = 0
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dedicatedCloud/ {serviceName}/ datacenter/ {datacenterId}/ vm/ {vmId}/ backupJob \
-H "authorization: Bearer $OVH_TOKEN"{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}
Disable a VM backup jobDeprecated
Deprecated since Oct 2, 2017, will be removed on Dec 31, 2017 — use /dedicatedCloud/{serviceName}/datacenter/{datacenterId}/vm/{vmId} instead.
Disable a VM backup job. Stops the backups of the virtual machine. Deprecated: use the backup routes of the virtual machine instead.
Path parameters
Id of the Datacenter
Domain of the service
Id of the virtual machine.
Response
Creator of the task
Origin of the task
datacenterId of the associated dedicatedCloud.Datacenter object
Current progress description
Task end date
Task execution date
filerId of the associated dedicatedCloud.Filer object
hostId of the associated dedicatedCloud.Host object
Task last modification date
Maintenance task min allowed execution date
Maintenance task max allowed execution date
Task name
network of the associated dedicatedCloud.Ip object
networkAccessId of the associated dedicatedCloud.AllowedNetwork object
orderId of the associated billing.Order object
taskId of the parent dedicatedCloud.Task object
Current progress
Current Task state
canceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodoTask id
Task type
userId of the associated dedicatedCloud.User object
vlanId of the parent dedicatedCloud.Vlan object
Example uses datacenterId = 0, serviceName = string, vmId = 0
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dedicatedCloud/ {serviceName}/ datacenter/ {datacenterId}/ vm/ {vmId}/ backupJob/ disable \
-H "authorization: Bearer $OVH_TOKEN"{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}
Enable a VM backup jobDeprecated
Deprecated since Oct 2, 2017, will be removed on Dec 31, 2017 — use /dedicatedCloud/{serviceName}/datacenter/{datacenterId}/vm/{vmId} instead.
Enable a VM backup job. Starts backing up the virtual machine on the given days. Deprecated: use the backup routes of the virtual machine instead.
Path parameters
Id of the Datacenter
Domain of the service
Id of the virtual machine.
Request body (required)
Backup offer type
FridayMondaySaturdaySundayThursdayTuesdayWednesdayResponse
Creator of the task
Origin of the task
datacenterId of the associated dedicatedCloud.Datacenter object
Current progress description
Task end date
Task execution date
filerId of the associated dedicatedCloud.Filer object
hostId of the associated dedicatedCloud.Host object
Task last modification date
Maintenance task min allowed execution date
Maintenance task max allowed execution date
Task name
network of the associated dedicatedCloud.Ip object
networkAccessId of the associated dedicatedCloud.AllowedNetwork object
orderId of the associated billing.Order object
taskId of the parent dedicatedCloud.Task object
Current progress
Current Task state
canceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodoTask id
Task type
userId of the associated dedicatedCloud.User object
vlanId of the parent dedicatedCloud.Vlan object
Example uses datacenterId = 0, serviceName = string, vmId = 0
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dedicatedCloud/ {serviceName}/ datacenter/ {datacenterId}/ vm/ {vmId}/ backupJob/ enable \
-H "authorization: Bearer $OVH_TOKEN"{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}
List VM restore pointsDeprecated
Deprecated since Oct 2, 2017, will be removed on Dec 31, 2017 — use /dedicatedCloud/{serviceName}/datacenter/{datacenterId}/vm/{vmId} instead.
List VM restore points. Returns the IDs of the restore points of the virtual machine. Deprecated: use the backup data of the virtual machine instead.
Path parameters
Id of the Datacenter
Domain of the service
Id of the virtual machine.
Response
Example uses datacenterId = 0, serviceName = string, vmId = 0
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dedicatedCloud/ {serviceName}/ datacenter/ {datacenterId}/ vm/ {vmId}/ backupJob/ restorePoints \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get a VM restore pointDeprecated
Deprecated since Oct 2, 2017, will be removed on Dec 31, 2017 — use /dedicatedCloud/{serviceName}/datacenter/{datacenterId}/vm/{vmId} instead.
Get a VM restore point. Returns the restore point: type, size, creation time and whether it is corrupted. Deprecated: use the backup data of the virtual machine instead.
Path parameters
Id of the Datacenter
Id of the restore point.
Domain of the service
Id of the virtual machine.
Response
Creation time of the restore point
Show if the restore point is corrupted
Id of the restore point.
Size of the restore point
Type of the restore point
fullincrementalExample uses datacenterId = 0, restorePointId = 0, serviceName = string, vmId = 0
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dedicatedCloud/ {serviceName}/ datacenter/ {datacenterId}/ vm/ {vmId}/ backupJob/ restorePoints/ {restorePointId} \
-H "authorization: Bearer $OVH_TOKEN"{ "creationTime": "string", "isCorrupted": true, "restorePointId": 0, "restorePointSize": { "unit": "string", "value": 0 }, "type": "full"}
Restore a VM restore pointDeprecated
Deprecated since Oct 2, 2017, will be removed on Dec 31, 2017 — use /dedicatedCloud/{serviceName}/datacenter/{datacenterId}/vm/{vmId} instead.
Restore a VM restore point. Restores the virtual machine from this restore point to the given datastore. Deprecated: use the backup routes of the virtual machine instead.
Path parameters
Id of the Datacenter
Id of the restore point.
Domain of the service
Id of the virtual machine.
Request body (required)
Id of the filer where we should restore this Backup.
Response
Creator of the task
Origin of the task
datacenterId of the associated dedicatedCloud.Datacenter object
Current progress description
Task end date
Task execution date
filerId of the associated dedicatedCloud.Filer object
hostId of the associated dedicatedCloud.Host object
Task last modification date
Maintenance task min allowed execution date
Maintenance task max allowed execution date
Task name
network of the associated dedicatedCloud.Ip object
networkAccessId of the associated dedicatedCloud.AllowedNetwork object
orderId of the associated billing.Order object
taskId of the parent dedicatedCloud.Task object
Current progress
Current Task state
canceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodoTask id
Task type
userId of the associated dedicatedCloud.User object
vlanId of the parent dedicatedCloud.Vlan object
Example uses datacenterId = 0, restorePointId = 0, serviceName = string, vmId = 0
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dedicatedCloud/ {serviceName}/ datacenter/ {datacenterId}/ vm/ {vmId}/ backupJob/ restorePoints/ {restorePointId}/ restore \
-H "authorization: Bearer $OVH_TOKEN"{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}
Disable VM backupProduction
Path parameters
Id of the Datacenter
Domain of the service
Id of the virtual machine.
Response
Creator of the task
Origin of the task
datacenterId of the associated dedicatedCloud.Datacenter object
Current progress description
Task end date
Task execution date
filerId of the associated dedicatedCloud.Filer object
hostId of the associated dedicatedCloud.Host object
Task last modification date
Maintenance task min allowed execution date
Maintenance task max allowed execution date
Task name
network of the associated dedicatedCloud.Ip object
networkAccessId of the associated dedicatedCloud.AllowedNetwork object
orderId of the associated billing.Order object
taskId of the parent dedicatedCloud.Task object
Current progress
Current Task state
canceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodoTask id
Task type
userId of the associated dedicatedCloud.User object
vlanId of the parent dedicatedCloud.Vlan object
Example uses datacenterId = 0, serviceName = string, vmId = 0
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dedicatedCloud/ {serviceName}/ datacenter/ {datacenterId}/ vm/ {vmId}/ disableBackup \
-H "authorization: Bearer $OVH_TOKEN"{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}
Update VM backup daysProduction
Update VM backup days. Changes the days on which the virtual machine is backed up. Returns a task to track progress.
Path parameters
Id of the Datacenter
Domain of the service
Id of the virtual machine.
Request body (required)
List of days your Virtual Machine will be backuped
FridayMondaySaturdaySundayThursdayTuesdayWednesdayResponse
Creator of the task
Origin of the task
datacenterId of the associated dedicatedCloud.Datacenter object
Current progress description
Task end date
Task execution date
filerId of the associated dedicatedCloud.Filer object
hostId of the associated dedicatedCloud.Host object
Task last modification date
Maintenance task min allowed execution date
Maintenance task max allowed execution date
Task name
network of the associated dedicatedCloud.Ip object
networkAccessId of the associated dedicatedCloud.AllowedNetwork object
orderId of the associated billing.Order object
taskId of the parent dedicatedCloud.Task object
Current progress
Current Task state
canceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodoTask id
Task type
userId of the associated dedicatedCloud.User object
vlanId of the parent dedicatedCloud.Vlan object
Example uses datacenterId = 0, serviceName = string, vmId = 0
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dedicatedCloud/ {serviceName}/ datacenter/ {datacenterId}/ vm/ {vmId}/ editBackup \
-H "authorization: Bearer $OVH_TOKEN"{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}
Enable VM backupProduction
Enable VM backup. Starts backing up the virtual machine on the given days. Returns a task to track progress.
Path parameters
Id of the Datacenter
Domain of the service
Id of the virtual machine.
Request body (required)
List of days your Virtual Machine will be backuped
FridayMondaySaturdaySundayThursdayTuesdayWednesdayResponse
Creator of the task
Origin of the task
datacenterId of the associated dedicatedCloud.Datacenter object
Current progress description
Task end date
Task execution date
filerId of the associated dedicatedCloud.Filer object
hostId of the associated dedicatedCloud.Host object
Task last modification date
Maintenance task min allowed execution date
Maintenance task max allowed execution date
Task name
network of the associated dedicatedCloud.Ip object
networkAccessId of the associated dedicatedCloud.AllowedNetwork object
orderId of the associated billing.Order object
taskId of the parent dedicatedCloud.Task object
Current progress
Current Task state
canceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodoTask id
Task type
userId of the associated dedicatedCloud.User object
vlanId of the parent dedicatedCloud.Vlan object
Example uses datacenterId = 0, serviceName = string, vmId = 0
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dedicatedCloud/ {serviceName}/ datacenter/ {datacenterId}/ vm/ {vmId}/ enableBackup \
-H "authorization: Bearer $OVH_TOKEN"{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}
Restore a VM backupProduction
Restore a VM backup. Restores the virtual machine from a restore point to the given datastore, NAS by default or vSAN. Returns a task to track progress.
Path parameters
Id of the Datacenter
Domain of the service
Id of the virtual machine.
Request body (required)
Id of the filer where we should restore this Backup
Type of filer where vm will be restored(Default value : nas)
nasvsanId of the restorePoint you want to restore
Response
Creator of the task
Origin of the task
datacenterId of the associated dedicatedCloud.Datacenter object
Current progress description
Task end date
Task execution date
filerId of the associated dedicatedCloud.Filer object
hostId of the associated dedicatedCloud.Host object
Task last modification date
Maintenance task min allowed execution date
Maintenance task max allowed execution date
Task name
network of the associated dedicatedCloud.Ip object
networkAccessId of the associated dedicatedCloud.AllowedNetwork object
orderId of the associated billing.Order object
taskId of the parent dedicatedCloud.Task object
Current progress
Current Task state
canceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodoTask id
Task type
userId of the associated dedicatedCloud.User object
vlanId of the parent dedicatedCloud.Vlan object
Example uses datacenterId = 0, serviceName = string, vmId = 0
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dedicatedCloud/ {serviceName}/ datacenter/ {datacenterId}/ vm/ {vmId}/ restoreBackup \
-H "authorization: Bearer $OVH_TOKEN"{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}